Skip to main content
PUT
Replace the step list of a DRAFT sequence

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sequenceId
string<uuid>
required

The unique identifier of the sequence

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
steps
object[]
required

The full step list, replacing whatever is stored. Same validation as create: step 0 must have delay_minutes 0.

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
org_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
status
enum<string>
required
Available options:
draft,
active,
paused
steps
object[]
required
settings
object
required
brief
string
required
reply_instructions
string
required
criteria
object
required
columns
object[]
required
Maximum array length: 12
created_at
string<date-time>
required
updated_at
string<date-time>
required
deleted_at
string<date-time> | null
required